Bug 1478720 - [abrt] lightdm-gtk: cairo_surface_get_type(): lightdm-gtk-greeter killed by signal 11
[abrt] lightdm-gtk: cairo_surface_get_type(): lightdm-gtk-greeter killed by s...
Status: NEW
Product: Fedora
Classification: Fedora
Component: lightdm-gtk (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f1ee035cdb7353791eb9a66a76a...
:
: 1461193 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-06 10:52 EDT by bugzilla
Modified: 2018-02-08 19:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.97 KB, text/plain)
2017-08-06 10:52 EDT, bugzilla
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-06 10:52 EDT, bugzilla
no flags Details
File: core_backtrace (10.48 KB, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: cpuinfo (1.16 KB, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: dso_list (12.41 KB, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: environ (455 bytes, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: maps (52.38 KB, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: open_fds (1.07 KB, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: proc_pid_status (1.25 KB, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details
File: var_log_messages (115 bytes, text/plain)
2017-08-06 10:53 EDT, bugzilla
no flags Details

  None (edit)
Description bugzilla 2017-08-06 10:52:50 EDT
Description of problem:
trying log in as root and got another chance to login , that login was successfull.

Version-Release number of selected component:
lightdm-gtk-2.0.2-7.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: cairo_surface_get_type
executable:     /usr/sbin/lightdm-gtk-greeter
journald_cursor: s=14b4f7d2ad114f6282a780e5aafce318;i=13de7;b=a567e67448ff4664962531367dfd9b91;m=1e913c8;t=55616ae5396db;x=878b0c6b461f59ff
kernel:         4.13.0-0.rc2.git3.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            992

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 cairo_surface_get_type at cairo-surface.c:221
 #1 set_surface_as_root at greeterbackground.c:1639
 #2 greeter_background_save_xroot at greeterbackground.c:1026
 #3 start_session at lightdm-gtk-greeter.c:2047
 #4 _g_closure_invoke_va at gclosure.c:867
 #7 handle_reset at greeter.c:793
 #8 handle_message at greeter.c:874
 #9 from_server_cb at greeter.c:981
 #14 gtk_main at gtkmain.c:1312

Potential duplicate: bug 1394472
Comment 1 bugzilla 2017-08-06 10:52:56 EDT
Created attachment 1309653 [details]
File: backtrace
Comment 2 bugzilla 2017-08-06 10:52:58 EDT
Created attachment 1309654 [details]
File: cgroup
Comment 3 bugzilla 2017-08-06 10:53:00 EDT
Created attachment 1309655 [details]
File: core_backtrace
Comment 4 bugzilla 2017-08-06 10:53:01 EDT
Created attachment 1309656 [details]
File: cpuinfo
Comment 5 bugzilla 2017-08-06 10:53:03 EDT
Created attachment 1309657 [details]
File: dso_list
Comment 6 bugzilla 2017-08-06 10:53:04 EDT
Created attachment 1309658 [details]
File: environ
Comment 7 bugzilla 2017-08-06 10:53:05 EDT
Created attachment 1309659 [details]
File: exploitable
Comment 8 bugzilla 2017-08-06 10:53:07 EDT
Created attachment 1309660 [details]
File: limits
Comment 9 bugzilla 2017-08-06 10:53:09 EDT
Created attachment 1309661 [details]
File: maps
Comment 10 bugzilla 2017-08-06 10:53:11 EDT
Created attachment 1309662 [details]
File: open_fds
Comment 11 bugzilla 2017-08-06 10:53:12 EDT
Created attachment 1309663 [details]
File: proc_pid_status
Comment 12 bugzilla 2017-08-06 10:53:13 EDT
Created attachment 1309664 [details]
File: var_log_messages
Comment 13 bugzilla 2017-08-06 12:08:59 EDT
trying to login as "regular user" with "Administrator privileges" produces same result, --another login window that work as expected
Comment 14 bugzilla 2017-08-07 12:14:21 EDT
Similar problem has been detected:

New install (Fedora-Everything-netinst-x86_64-Rawhide-20170805.n.0.iso) ok,logging in and tweak som xfce4 settings,reboot,Ok,enabling WiFi network,ok,rebooting this error occured,"same" problems as I reported in ID=1478720.
Maybe this is somehow WiFi related

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: cairo_surface_get_type
executable:     /usr/sbin/lightdm-gtk-greeter
journald_cursor: s=d8fd25c858e64438a9d6e9a9b9549334;i=5865;b=a65f73706ce94f24bb49ce9753008513;m=1ce656f;t=5562bf1517478;x=392b1f24657aa802
kernel:         4.13.0-0.rc3.git4.1.fc27.x86_64
package:        lightdm-gtk-2.0.2-7.fc27
reason:         lightdm-gtk-greeter killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            992
Comment 15 bugzilla 2017-08-08 07:04:44 EDT
Problem gone after latest update and installation of misc applications.
I have made at least 20 restarts, logout-login and shutdown & start.
Comment 16 bugzilla 2017-08-09 00:57:07 EDT
Problem back again.
Comment 17 Jan Kurik 2017-08-15 02:21:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 18 bugzilla 2017-08-23 02:29:10 EDT
No problem last 10 days.
Comment 19 Björn 'besser82' Esser 2018-01-05 05:38:14 EST
*** Bug 1461193 has been marked as a duplicate of this bug. ***
Comment 20 Roberto Gonzalez 2018-02-08 19:06:26 EST
Similar problem has been detected:

esta falla se genero al momento de ingresar al modulo de firewall y  hacer autenticacion de usuario

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: cairo_surface_get_type
executable:     /usr/sbin/lightdm-gtk-greeter
journald_cursor: s=1c075784d9934a119460de1741f6693e;i=6cb4;b=e40e2b51a3344f10a13789e60022718c;m=5ac9fb7;t=5649e5d6b9d9c;x=716ee1c2147d0dff
kernel:         4.14.16-300.fc27.x86_64
package:        lightdm-gtk-2.0.3-4.fc27
reason:         lightdm-gtk-greeter killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            993

Note You need to log in before you can comment on or make changes to this bug.